-- Nuke Happy Warmongers --
-- Author: Das_Capitolin --
----------------------------------------------------------------------------------------------------

-- Reduce global unit maintenance cost --
UPDATE Units SET Maintenance = '1' WHERE UnitType = 'UNIT_MILITARY_ENGINEER'; -- Default Maintenance = '2'
UPDATE Units SET Maintenance = '1' WHERE UnitType = 'UNIT_ANTIAIR_GUN'; -- Default Maintenance = '2'
UPDATE Units SET Maintenance = '2' WHERE UnitType = 'UNIT_MOBILE_SAM'; -- Default Maintenance = '4'
UPDATE Units SET Maintenance = '3' WHERE UnitType = 'UNIT_BIPLANE'; -- Default Maintenance = '6'
UPDATE Units SET Maintenance = '4' WHERE UnitType = 'UNIT_FIGHTER'; -- Default Maintenance = '7'
UPDATE Units SET Maintenance = '4' WHERE UnitType = 'UNIT_AMERICAN_P51'; -- Default Maintenance = '7'
UPDATE Units SET Maintenance = '4' WHERE UnitType = 'UNIT_BOMBER'; -- Default Maintenance = '7'
UPDATE Units SET Maintenance = '5' WHERE UnitType = 'UNIT_JET_FIGHTER'; -- Default Maintenance = '8'
UPDATE Units SET Maintenance = '5' WHERE UnitType = 'UNIT_JET_BOMBER'; -- Default Maintenance = '8'

-- WMD Specific --
UPDATE WMDs SET ICBMStrikeRange = '18', Maintenance = '10' WHERE WeaponType = 'WMD_NUCLEAR_DEVICE';	 -- ICBMStrikeRange = 12	Maintenance = 14
UPDATE WMDs SET ICBMStrikeRange = '22', Maintenance = '12' WHERE WeaponType = 'WMD_THERMONUCLEAR_DEVICE';	 -- ICBMStrikeRange = 15	Maintenance = 16

-- Give AI unit maintenance discounts --
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType)
VALUES      ('ANCIENT_AI_DISCOUNT', 'REQUIREMENTSET_TEST_ALL'),
            ('CLASSICAL_AI_DISCOUNT', 'REQUIREMENTSET_TEST_ALL'),
			('MEDIEVAL_AI_DISCOUNT', 'REQUIREMENTSET_TEST_ALL'),
            ('RENAISSANCE_AI_DISCOUNT', 'REQUIREMENTSET_TEST_ALL'),
			('INDUSTRIAL_AI_DISCOUNT', 'REQUIREMENTSET_TEST_ALL'),
            ('MODERN_AI_DISCOUNT', 'REQUIREMENTSET_TEST_ALL'),
			('ATOMIC_AI_DISCOUNT', 'REQUIREMENTSET_TEST_ALL'),
			('INFORMATION_AI_DISCOUNT', 'REQUIREMENTSET_TEST_ALL'),
			('WMD_NUCLEAR_DEVICE_AI_DISCOUNT', 'REQUIREMENTSET_TEST_ALL'),
			('WMD_THERMONUCLEAR_DEVICE_AI_DISCOUNT', 'REQUIREMENTSET_TEST_ALL');

INSERT INTO Modifiers
            (ModifierId, ModifierType, OwnerRequirementSetId)
VALUES      ('ANCIENT_UNIT_MAINTENANCE_DISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'ANCIENT_AI_DISCOUNT'),
            ('CLASSICAL_UNIT_MAINTENANCE_DISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'CLASSICAL_AI_DISCOUNT'),
			('MEDIEVAL_UNIT_MAINTENANCE_DISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'MEDIEVAL_AI_DISCOUNT'),
            ('RENAISSANCE_UNIT_MAINTENANCE_DISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'RENAISSANCE_AI_DISCOUNT'),
			('INDUSTRIAL_UNIT_MAINTENANCE_DISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'INDUSTRIAL_AI_DISCOUNT'),
            ('MODERN_UNIT_MAINTENANCE_DISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'MODERN_AI_DISCOUNT'),
            ('ATOMIC_UNIT_MAINTENANCE_DISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'ATOMIC_AI_DISCOUNT'),
			('INFORMATION_UNIT_MAINTENANCE_DISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'INFORMATION_AI_DISCOUNT'),
			('WMD_NUCLEAR_DEVICE_MAINTENANCE_DISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'WMD_NUCLEAR_DEVICE_AI_DISCOUNT'),
			('WMD_THERMONUCLEAR_DEVICE_MAINTENANCE_DISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'WMD_THERMONUCLEAR_DEVICE_AI_DISCOUNT');

INSERT INTO TraitModifiers
            (TraitType, ModifierId)
VALUES      ('TRAIT_LEADER_MAJOR_CIV', 'ANCIENT_UNIT_MAINTENANCE_DISCOUNT'),
			('TRAIT_LEADER_MAJOR_CIV', 'CLASSICAL_UNIT_MAINTENANCE_DISCOUNT'),
			('TRAIT_LEADER_MAJOR_CIV', 'MEDIEVAL_UNIT_MAINTENANCE_DISCOUNT'),
			('TRAIT_LEADER_MAJOR_CIV', 'RENAISSANCE_UNIT_MAINTENANCE_DISCOUNT'),
			('TRAIT_LEADER_MAJOR_CIV', 'INDUSTRIAL_UNIT_MAINTENANCE_DISCOUNT'),
			('TRAIT_LEADER_MAJOR_CIV', 'MODERN_UNIT_MAINTENANCE_DISCOUNT'),
			('TRAIT_LEADER_MAJOR_CIV', 'ATOMIC_UNIT_MAINTENANCE_DISCOUNT'),
			('TRAIT_LEADER_MAJOR_CIV', 'INFORMATION_UNIT_MAINTENANCE_DISCOUNT'),
			('TRAIT_LEADER_MAJOR_CIV', 'WMD_NUCLEAR_DEVICE_MAINTENANCE_DISCOUNT'),
			('TRAIT_LEADER_MAJOR_CIV', 'WMD_THERMONUCLEAR_DEVICE_MAINTENANCE_DISCOUNT');

INSERT INTO ModifierArguments
            (ModifierId, Name, Value)
VALUES      ('ANCIENT_UNIT_MAINTENANCE_DISCOUNT', 'Amount', 1),
			('CLASSICAL_UNIT_MAINTENANCE_DISCOUNT', 'Amount', 2),
			('MEDIEVAL_UNIT_MAINTENANCE_DISCOUNT', 'Amount', 3),
			('RENAISSANCE_UNIT_MAINTENANCE_DISCOUNT', 'Amount', 4),
			('INDUSTRIAL_UNIT_MAINTENANCE_DISCOUNT', 'Amount', 5),
			('MODERN_UNIT_MAINTENANCE_DISCOUNT', 'Amount', 6),
			('ATOMIC_UNIT_MAINTENANCE_DISCOUNT', 'Amount', 7),
			('INFORMATION_UNIT_MAINTENANCE_DISCOUNT', 'Amount', 8),
			('WMD_NUCLEAR_DEVICE_MAINTENANCE_DISCOUNT', 'Amount', 10),
			('WMD_THERMONUCLEAR_DEVICE_MAINTENANCE_DISCOUNT', 'Amount', 12);

INSERT INTO Requirements
            (RequirementId, RequirementType, Inverse)
VALUES      ('ANCIENT_ERA_AI_DISCOUNT', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
			('CLASSICAL_ERA_AI_DISCOUNT', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
			('MEDIEVAL_ERA_AI_DISCOUNT', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
			('RENAISSANCE_ERA_AI_DISCOUNT', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
			('INDUSTRIAL_ERA_AI_DISCOUNT', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
			('MODERN_ERA_AI_DISCOUNT', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
            ('ATOMIC_ERA_AI_DISCOUNT', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
			('INFORMATION_ERA_AI_DISCOUNT', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
			('WEAPON_WMD_NUCLEAR_DEVICE_AI_DISCOUNT', 'REQUIREMENT_PLAYER_NUKE_LOVER', 0),
			('WEAPON_WMD_THERMONUCLEAR_DEVICE_AI_DISCOUNT', 'REQUIREMENT_PLAYER_NUKE_LOVER', 0);

INSERT INTO RequirementArguments
            (RequirementId, Name, Value)
VALUES      ('ANCIENT_ERA_AI_DISCOUNT', 'EraType', 'ERA_ANCIENT'),
			('CLASSICAL_ERA_AI_DISCOUNT', 'EraType', 'ERA_CLASSICAL'),
			('MEDIEVAL_ERA_AI_DISCOUNT', 'EraType', 'ERA_MEDIEVAL'),
			('RENAISSANCE_ERA_AI_DISCOUNT', 'EraType', 'ERA_RENAISSANCE'),
			('INDUSTRIAL_ERA_AI_DISCOUNT', 'EraType', 'ERA_INDUSTRIAL'),
			('MODERN_ERA_AI_DISCOUNT', 'EraType', 'ERA_MODERN'),
            ('ATOMIC_ERA_AI_DISCOUNT', 'EraType', 'ERA_ATOMIC'),
            ('INFORMATION_ERA_AI_DISCOUNT', 'EraType', 'ERA_INFORMATION'),
			('WEAPON_WMD_NUCLEAR_DEVICE_AI_DISCOUNT', 'WeaponType', 'WMD_NUCLEAR_DEVICE'),
			('WEAPON_WMD_THERMONUCLEAR_DEVICE_AI_DISCOUNT', 'WeaponType', 'WMD_THERMONUCLEAR_DEVICE');

INSERT INTO RequirementSetRequirements
            (RequirementSetId, RequirementId)
VALUES
            ('ANCIENT_AI_DISCOUNT', 'REQUIRES_PLAYER_IS_AI'),
            ('ANCIENT_AI_DISCOUNT', 'ANCIENT_ERA_AI_DISCOUNT'),
			('CLASSICAL_AI_DISCOUNT', 'REQUIRES_PLAYER_IS_AI'),
            ('CLASSICAL_AI_DISCOUNT', 'CLASSICAL_ERA_AI_DISCOUNT'),
			('MEDIEVAL_AI_DISCOUNT', 'REQUIRES_PLAYER_IS_AI'),
            ('MEDIEVAL_AI_DISCOUNT', 'MEDIEVAL_ERA_AI_DISCOUNT'),
			('RENAISSANCE_AI_DISCOUNT', 'REQUIRES_PLAYER_IS_AI'),
            ('RENAISSANCE_AI_DISCOUNT', 'RENAISSANCE_ERA_AI_DISCOUNT'),
			('INDUSTRIAL_AI_DISCOUNT', 'REQUIRES_PLAYER_IS_AI'),
            ('INDUSTRIAL_AI_DISCOUNT', 'INDUSTRIAL_ERA_AI_DISCOUNT'),
			('MODERN_AI_DISCOUNT', 'REQUIRES_PLAYER_IS_AI'),
            ('MODERN_AI_DISCOUNT', 'MODERN_ERA_AI_DISCOUNT'),
			('ATOMIC_AI_DISCOUNT', 'REQUIRES_PLAYER_IS_AI'),
            ('ATOMIC_AI_DISCOUNT', 'ATOMIC_ERA_AI_DISCOUNT'),
            ('INFORMATION_AI_DISCOUNT', 'REQUIRES_PLAYER_IS_AI'),
            ('INFORMATION_AI_DISCOUNT', 'INFORMATION_ERA_AI_DISCOUNT'),
			('WMD_NUCLEAR_DEVICE_AI_DISCOUNT', 'REQUIRES_PLAYER_IS_AI'),
            ('WMD_NUCLEAR_DEVICE_AI_DISCOUNT', 'WEAPON_WMD_NUCLEAR_DEVICE_AI_DISCOUNT'),
			('WMD_THERMONUCLEAR_DEVICE_AI_DISCOUNT', 'REQUIRES_PLAYER_IS_AI'),
            ('WMD_THERMONUCLEAR_DEVICE_AI_DISCOUNT', 'WEAPON_WMD_THERMONUCLEAR_DEVICE_AI_DISCOUNT');