-- Nuke Happy Warmongers --
-- Author: Das_Capitolin --
----------------------------------------------------------------------------------------------------

-- Grant free units to AI --
INSERT INTO Types (Type, Kind)
VALUES	('MODIFIER_GRANT_UNIT_AI_CAPITAL', 'KIND_MODIFIER'),
		('MODIFIER_GRANT_UNIT_AI_CITIES', 'KIND_MODIFIER'),
		('MODIFIER_GRANT_AI_WMD', 'KIND_MODIFIER'); -- Unique of MODIFIER_PLAYER_CREATE_WMD (somehow KIND_WMD also works)

INSERT INTO DynamicModifiers (ModifierType, CollectionType, EffectType)
VALUES	('MODIFIER_GRANT_UNIT_AI_CAPITAL', 'COLLECTION_PLAYER_CAPITAL_CITY', 'EFFECT_GRANT_UNIT_IN_CITY'), -- COLLECTION_PLAYER_CAPITAL_CITY (delivered to capital only)
		('MODIFIER_GRANT_UNIT_AI_CITIES', 'COLLECTION_PLAYER_CITIES', 'EFFECT_GRANT_UNIT_IN_CITY'), -- COLLECTION_PLAYER_CITIES (in all cities, risk disbanding)
		('MODIFIER_GRANT_AI_WMD', 'COLLECTION_OWNER', 'EFFECT_ADJUST_PLAYER_WMD_COUNT');

INSERT INTO TraitModifiers (TraitType, ModifierId)
VALUES	('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_SCOUT'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_SLINGER'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_BUILDER'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_TRADER'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_SPEARMAN'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_CATAPULT'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_MILITARY_ENGINEER'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_BOMBARD'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_BOMBER'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_MACHINE_GUN'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_JET_BOMBER'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_UNIT_MOBILE_SAM'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_WMD_NUCLEAR_DEVICE'),
		('TRAIT_LEADER_MAJOR_CIV', 'AI_TECH_GRANTS_WMD_THERMONUCLEAR_DEVICE');

INSERT INTO Modifiers (ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId)
VALUES	('AI_TECH_GRANTS_UNIT_SCOUT', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '1', '1', 'AI_RECEIVE_FREE_UNIT_SCOUT'), -- No city at start of first turn, so set RunOnce to 0
		('AI_TECH_GRANTS_UNIT_SLINGER', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '1', '1', 'AI_RECEIVE_FREE_UNIT_SLINGER'),
		('AI_TECH_GRANTS_UNIT_BUILDER', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '0', '1', 'AI_RECEIVE_FREE_UNIT_BUILDER'),
		('AI_TECH_GRANTS_UNIT_TRADER', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '0', '1', 'AI_RECEIVE_FREE_UNIT_TRADER'),
		('AI_TECH_GRANTS_UNIT_SPEARMAN', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '1', '1', 'AI_RECEIVE_FREE_UNIT_SPEARMAN'),
		('AI_TECH_GRANTS_UNIT_CATAPULT', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '1', '1', 'AI_RECEIVE_FREE_UNIT_CATAPULT'),
		('AI_TECH_GRANTS_UNIT_MILITARY_ENGINEER', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '0', '1', 'AI_RECEIVE_FREE_UNIT_MILITARY_ENGINEER'),
		('AI_TECH_GRANTS_UNIT_BOMBARD', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '1', '1', 'AI_RECEIVE_FREE_UNIT_BOMBARD'),
		('AI_TECH_GRANTS_UNIT_BOMBER', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '0', '1', 'AI_RECEIVE_FREE_UNIT_BOMBER'),
		('AI_TECH_GRANTS_UNIT_MACHINE_GUN', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '1', '1', 'AI_RECEIVE_FREE_UNIT_MACHINE_GUN'),
		('AI_TECH_GRANTS_UNIT_JET_BOMBER', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '0', '1', 'AI_RECEIVE_FREE_UNIT_JET_BOMBER'),
		('AI_TECH_GRANTS_UNIT_MOBILE_SAM', 'MODIFIER_GRANT_UNIT_AI_CAPITAL', '0', '1', 'AI_RECEIVE_FREE_UNIT_MOBILE_SAM'),
		('AI_TECH_GRANTS_WMD_NUCLEAR_DEVICE', 'MODIFIER_GRANT_AI_WMD', '0', '1', 'AI_RECEIVE_FREE_WMD_NUCLEAR_DEVICE'),
		('AI_TECH_GRANTS_WMD_THERMONUCLEAR_DEVICE', 'MODIFIER_GRANT_AI_WMD', '0', '1', 'AI_RECEIVE_FREE_WMD_THERMONUCLEAR_DEVICE');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value)
VALUES	('AI_TECH_GRANTS_UNIT_SCOUT', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_SCOUT'),
		('AI_TECH_GRANTS_UNIT_SLINGER', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_SLINGER'),
		('AI_TECH_GRANTS_UNIT_BUILDER', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_BUILDER'),
		('AI_TECH_GRANTS_UNIT_TRADER', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_TRADER'),
		('AI_TECH_GRANTS_UNIT_SPEARMAN', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_SPEARMAN'),
		('AI_TECH_GRANTS_UNIT_CATAPULT', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_CATAPULT'),
		('AI_TECH_GRANTS_UNIT_MILITARY_ENGINEER', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_MILITARY_ENGINEER'),
		('AI_TECH_GRANTS_UNIT_BOMBARD', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_BOMBARD'),
		('AI_TECH_GRANTS_UNIT_BOMBER', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_BOMBER'),
		('AI_TECH_GRANTS_UNIT_MACHINE_GUN', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_MACHINE_GUN'),
		('AI_TECH_GRANTS_UNIT_JET_BOMBER', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_JET_BOMBER'),
		('AI_TECH_GRANTS_UNIT_MOBILE_SAM', 'UnitType', 'ARGTYPE_IDENTITY', 'UNIT_MOBILE_SAM'),
		('AI_TECH_GRANTS_WMD_NUCLEAR_DEVICE', 'Type', 'ARGTYPE_IDENTITY', 'WMD_NUCLEAR_DEVICE'), -- (Not UnitType)
		('AI_TECH_GRANTS_WMD_THERMONUCLEAR_DEVICE', 'Type', 'ARGTYPE_IDENTITY', 'WMD_THERMONUCLEAR_DEVICE'); -- (Not UnitType)

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value)
VALUES	('AI_TECH_GRANTS_UNIT_SCOUT', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_UNIT_SLINGER', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_UNIT_BUILDER', 'Amount', 'ARGTYPE_IDENTITY', '2'), -- Quantity 2, which spawn together
		('AI_TECH_GRANTS_UNIT_TRADER', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_UNIT_SPEARMAN', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_UNIT_CATAPULT', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_UNIT_MILITARY_ENGINEER', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_UNIT_BOMBARD', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_UNIT_BOMBER', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_UNIT_MACHINE_GUN', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_UNIT_JET_BOMBER', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_UNIT_MOBILE_SAM', 'Amount', 'ARGTYPE_IDENTITY', '1'),
		('AI_TECH_GRANTS_WMD_NUCLEAR_DEVICE', 'Amount', 'ARGTYPE_IDENTITY', '3'),
		('AI_TECH_GRANTS_WMD_THERMONUCLEAR_DEVICE', 'Amount', 'ARGTYPE_IDENTITY', '5');

INSERT INTO RequirementSets (RequirementSetId, RequirementSetType)
VALUES	('AI_RECEIVE_FREE_UNIT_SCOUT', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_SLINGER', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_BUILDER', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_TRADER', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_SPEARMAN', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_CATAPULT', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_MILITARY_ENGINEER', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_BOMBARD', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_BOMBER', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_MACHINE_GUN', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_JET_BOMBER', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_UNIT_MOBILE_SAM', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_WMD_NUCLEAR_DEVICE', 'REQUIREMENTSET_TEST_ALL'),
		('AI_RECEIVE_FREE_WMD_THERMONUCLEAR_DEVICE', 'REQUIREMENTSET_TEST_ALL');

INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId)
VALUES	('AI_RECEIVE_FREE_UNIT_SCOUT', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_SLINGER', 'REQUIRES_PLAYER_IS_AI'), -- REQUIRES_PLAYER_IS_AI
		('AI_RECEIVE_FREE_UNIT_SLINGER', 'REQUIRES_AI_HAS_TECH_POTTERY'), -- REQUIRES_AI_HAS_TECH_XYZ
		('AI_RECEIVE_FREE_UNIT_BUILDER', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_BUILDER', 'REQUIRES_AI_HAS_TECH_ANIMAL_HUSBANDRY'),
		('AI_RECEIVE_FREE_UNIT_TRADER', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_TRADER', 'REQUIRES_AI_HAS_TECH_MINING'),
		('AI_RECEIVE_FREE_UNIT_SPEARMAN', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_SPEARMAN', 'REQUIRES_AI_HAS_TECH_BRONZE_WORKING'),
		('AI_RECEIVE_FREE_UNIT_CATAPULT', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_CATAPULT', 'REQUIRES_AI_HAS_TECH_ENGINEERING'),
		('AI_RECEIVE_FREE_UNIT_MILITARY_ENGINEER', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_MILITARY_ENGINEER', 'REQUIRES_AI_HAS_TECH_STEAM_POWER'),
		('AI_RECEIVE_FREE_UNIT_BOMBARD', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_BOMBARD', 'REQUIRES_AI_HAS_TECH_METAL_CASTING'),
		('AI_RECEIVE_FREE_UNIT_BOMBER', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_BOMBER', 'REQUIRES_AI_HAS_TECH_FLIGHT'),
		('AI_RECEIVE_FREE_UNIT_MACHINE_GUN', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_MACHINE_GUN', 'REQUIRES_AI_HAS_TECH_ADVANCED_BALLISTICS'),
		('AI_RECEIVE_FREE_UNIT_JET_BOMBER', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_JET_BOMBER', 'REQUIRES_AI_HAS_TECH_ADVANCED_FLIGHT'),
		('AI_RECEIVE_FREE_UNIT_MOBILE_SAM', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_UNIT_MOBILE_SAM', 'REQUIRES_AI_HAS_TECH_GUIDANCE_SYSTEMS'),
		('AI_RECEIVE_FREE_WMD_NUCLEAR_DEVICE', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_WMD_NUCLEAR_DEVICE', 'REQUIRES_AI_HAS_TECH_NUCLEAR_FISSION'),
		('AI_RECEIVE_FREE_WMD_THERMONUCLEAR_DEVICE', 'REQUIRES_PLAYER_IS_AI'),
		('AI_RECEIVE_FREE_WMD_THERMONUCLEAR_DEVICE', 'REQUIRES_AI_HAS_TECH_NUCLEAR_FUSION');

INSERT INTO Requirements (RequirementId, RequirementType)
VALUES	('REQUIRES_AI_HAS_TECH_POTTERY', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_ANIMAL_HUSBANDRY', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_MINING', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_BRONZE_WORKING', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_ENGINEERING', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_METAL_CASTING', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_STEAM_POWER', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_FLIGHT', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_ADVANCED_BALLISTICS', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_ADVANCED_FLIGHT', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_NUCLEAR_FISSION', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_GUIDANCE_SYSTEMS', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_AI_HAS_TECH_NUCLEAR_FUSION', 'REQUIREMENT_PLAYER_HAS_TECHNOLOGY');

INSERT INTO RequirementArguments (RequirementId, Name, Type, Value)
VALUES	('REQUIRES_AI_HAS_TECH_POTTERY', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_POTTERY'), -- Ancient Era
		('REQUIRES_AI_HAS_TECH_ANIMAL_HUSBANDRY', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_ANIMAL_HUSBANDRY'), -- Ancient Era
		('REQUIRES_AI_HAS_TECH_MINING', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_MINING'), -- Ancient Era
		('REQUIRES_AI_HAS_TECH_BRONZE_WORKING', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_BRONZE_WORKING'), -- Medieval Era
		('REQUIRES_AI_HAS_TECH_ENGINEERING', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_ENGINEERING'), -- Classical Era
		('REQUIRES_AI_HAS_TECH_METAL_CASTING', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_METAL_CASTING'), -- Renaissance Era
		('REQUIRES_AI_HAS_TECH_STEAM_POWER', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_STEAM_POWER'), -- Industrial Era
		('REQUIRES_AI_HAS_TECH_FLIGHT', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_FLIGHT'), -- Modern Era
		('REQUIRES_AI_HAS_TECH_ADVANCED_BALLISTICS', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_ADVANCED_BALLISTICS'), -- Atomic Era
		('REQUIRES_AI_HAS_TECH_ADVANCED_FLIGHT', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_ADVANCED_FLIGHT'), -- Atomic Era
		('REQUIRES_AI_HAS_TECH_NUCLEAR_FISSION', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_NUCLEAR_FISSION'), -- Atomic Era
		('REQUIRES_AI_HAS_TECH_GUIDANCE_SYSTEMS', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_GUIDANCE_SYSTEMS'), -- Information Era
		('REQUIRES_AI_HAS_TECH_NUCLEAR_FUSION', 'TechnologyType', 'ARGTYPE_IDENTITY', 'TECH_NUCLEAR_FUSION'); -- Information Era